REPARENT_TO_INIT(9)

NAME
reparent_to_init - Reparent the calling kernel thread to the init task.

SYNOPSIS

void reparent_to_init (void);

ARGUMENTS

void
    no arguments

DESCRIPTION

If a kernel thread is launched as a result of a system call, or if it ever exits, it should generally reparent itself to init so that it is correctly cleaned up on exit.

The various task state such as scheduling policy and priority may have been inherited from a user process, so we reset them to sane values here.

NOTE that reparent_to_init gives the caller full capabilities.